package com.limap.core.screen.service;

import com.limap.core.screen.vo.*;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * 大屏接口
 * @author jjb
 */
@Component
public interface IScreenService {

    /**
     * 获取用户池塘信息
     * @return 池塘基础信息
     */
    public List<PondVo> getUserPonds(Long userId);

    /**
     * 获取用户所有设备
     * @param userId 用户id
     * @param pondIds 池塘id
     * @return 设备数据
     */
    public List<AppEquipmentVo> getUserEquipments(Long userId, Long[] pondIds,String deviceType);
    public List<AppEquipmentVo> getEquipmentsList(Long userId, Long[] pondIds,String deviceType);

    public AppEquipmentVo getEquipmentById(Long deviceId);
    public AppEquipmentVo getEquipmentByDeviceNo(String deviceName);


    public List<EquipmentHistory> getEquipmentHistory(Long userId, Long deviceId);

    public List<EquipmentHistory> getEquipmentHistory(Integer days, Long deviceId);


    public List<WarnVo> getWarnList(Long userId,Integer pageNum,Integer pageSize);

    public List<WarnVo> getWarnListByDevice(Long deviceId,Integer pageNum,Integer pageSize);

    public long getWarnListCount(Long userId);
    public long getWarnListCountByDevice(Long deviceId);

    public List<ControlSwitch> getControlSwitch(Long deviceId);

    public List<CompareRequest> historyCompare(CompareSearchVo vo);
}
